Subject: Re: linux-next: build failure after merge of the final tree (wireless tree related)

From: Stephen Rothwell <[email-masked]>
Date: Fri, 13 May 2011 09:01:52 +1000

Hi Javier,

On Thu, 12 May 2011 10:22:20 -0700 Javier Cardona <[email-masked]> wrote:
>
> On Wed, May 11, 2011 at 9:56 PM, Stephen Rothwell <[email-masked]> wrote:
> > On Wed, 11 May 2011 21:37:16 -0700 Javier Cardona <[email-masked]> wrote:
> >>
> >> On Wed, May 11, 2011 at 9:10 PM, Stephen Rothwell <[email-masked]> wrote:
> >> >
> >> > After merging the final tree, today's linux-next build (i386 defconfig)
> >> > failed like this:
> >> >
> >> > net/mac80211/cfg.c: In function 'sta_apply_parameters':
> >> > net/mac80211/cfg.c:746: error: 'struct sta_info' has no member named 'plink_state'
> >>
> >> Sorry, I just saw this.  My apologies.  The fixup is valid but I'm
> >> trying to understand why it is needed.
> >> ieee80211_vif_is_mesh(&sdata->vif) compiles to 'false' when
> >> CONFIG_MAC80211_MESH is not defined... wouldn't the compiler remove
> >> that dead code? (Obviously it did not...)
> >
> > The compiler will elide that code but only after compiling it, so the
> > code still has to be correct.
> 
> Thanks for the explanation.
> 
> >> Anyway, given that this is necessary, it's probably cleaner to extend
> >> the #ifdef block to the entire body of the outer if as follows:
> >
> > I think you have the #ifdef one line too low.
> 
> My intent was to have the #endif one line above, but either way works.
>  That's the problem of preparing patches on pajamas.
> How can I help at this point?  Would resubmitting the patch help or
> just add noise?

Unless John has already fixed this, you need to send him a patch.  This
should be a fix patch as John doesn't normally rebase his tree (I think).
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/